apiVersion: maistra.io/v2
kind: ServiceMeshControlPlane
metadata:
  name: install-istio-system2
spec:
  version: "v2.0"
  security:
    dataPlane:
      mtls: true
      automtls: true
    controlPlane:
      mtls: true
  runtime:
    components:
      #kiali: # kiali_sed_mark
      #  container:
      #    imageName: ${KIALI_IMAGE}
      #    imageRegistry: ${KIALI_HUB}
      #    imageTag: ${KIALI_TAG}
      tracing.jaeger.elasticsearch:
        container:
          resources:
            requests:
              cpu: "500m"
              memory: "512Mi"
            limits:
              cpu: "2"
              memory: "1Gi"
  tracing:
    type: Jaeger
  addons:
    3scale:
      enabled: false
    jaeger:
      name: jaeger
      install:
        storage:
          type: Elasticsearch
          elasticsearch:
            nodeCount: 2
    grafana:
      enabled: true
    kiali:
      name: kiali
      enabled: true